> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/push-provisioning/ja/implement-push-provisioning/implement-view-and-control/in-app-authentication-for-visa-ctf/unbind-a-device.md).

# デバイスのバインドを解除する

イシュアは、eコマースのデジタルカードとデバイスの間に以前設定されたバインディングを解除できます。

この機能は次を通じて利用できます `DigitalCardService` および `unbindDevice` API。

次の例では、APIの使用方法を示します。

{% tabs %}
{% tab title="Android" %}

```kotlin
val digitalCardID = "" // デジタルカードのデバイスバインディングリストから取得
val bindingReference = "" // デバイスバインディングリストの deviceIndex
val reason: DigitalCardService.UnbindReason? =
    DigitalCardService.UnbindReason.USER_DECISION // オプション。null の場合はデフォルトでイシュア_DECISION

d1Task.digitalCardService().unbindDevice(
    digitalCardID,
    bindingReference,
    reason,
    object : D1Task.Callback<Void> {
        override fun onSuccess(data: Void?) {
            // 成功を処理します。
        }

        override fun onError(e: D1Exception) {
            // エラーを処理します。
        }
    }
)
```

```java
String digitalCardID = ""; // デジタルカードのデバイスバインディング一覧から取得
String bindingReference = ""; // デバイスバインディング一覧の deviceIndex
DigitalCardService.UnbindReason reason =
        DigitalCardService.UnbindReason.USER_DECISION; // 任意。null は ISSUER_DECISION を既定値とします

d1Task.digitalCardService().unbindDevice(
        digitalCardID,
        bindingReference,
        reason,
        new D1Task.Callback<Void>() {
            @Override
            public void onSuccess(Void data) {
                // 成功を処理します。
            }

            @Override
            public void onError(@NonNull D1Exception exception) {
                // エラーを処理します。
            }
        });
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/push-provisioning/ja/implement-push-provisioning/implement-view-and-control/in-app-authentication-for-visa-ctf/unbind-a-device.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
